/* Сброс некоторых стилей по умолчанию */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    background-color: #ffffff;
    color: #000;
    line-height: 1.5;
}

/* Контейнер с центральным позиционированием и отступами */
.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 40px 20px;
}

/* Блок "Hero" (верхняя часть страницы) */
.hero {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.hero-logo {
    width: 70px;
    height: 70px;
    margin-bottom: 40px;
}

.hero-title {
    font-size: 4rem;
    font-weight: 400;
    color: #000000;
}

.hero-title2 {
    font-size: 2rem;
    font-weight: 400;
    margin-bottom: 10px;
}

.hero-subtitle {
    font-size: 16px;
    color: #0000006d;
    margin-bottom: 80px;
}

.hero-info {
    flex-direction: column;
    justify-content: center;
    text-align: center;
    max-width: 500px;
    margin-top: 150px;
    margin-bottom: 50px;
}

/* Кнопка App Store */
.appstore-btn {
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.appstore-btn img {
    height: 54px;
    transition: transform 0.2s ease;
}

.appstore-btn img:hover {
    transform: scale(1.05);
}

.hero-phone {
    margin: 40px 0;
    width: 400px;
    max-width: 90%;
    margin-bottom: 100px;
}

/* Описание приложения */
.app-description {
    max-width: 800px;
    margin: 0 auto;
    font-size: 24px;
    line-height: 1.6;
    color: #333;
    text-align: center;
}

.app-description p+p {
    margin-top: 1em;
}

/* Нижний блок (футер) */
.footer {
    margin-top: 60px;
    text-align: center;
    font-size: 0.9rem;
    color: #000000;
}

.footer-nav {
    margin: 10px 0;
}

.footer-nav a {
    color: #000000;
    text-decoration: none;
    margin: 0 10px;
}

.footer-nav a:hover {
    text-decoration: underline;
}

.copyright {
    font-size: 14px;
    color: #939393;
    margin-top: 20px;
}

.icon-credit-wrapper {
    display: flex;
    justify-content: center;
    width: 100%;
    margin-top: 60px;
}

.icon-credit {
    font-size: 24px;
    color: #000000;
    margin: 20px 0;
    text-align: center;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    background-color: #ffffff;
    padding: 15px 20px;
    border-radius: 5px;
}

.icon-credit a {
    color: #000000;
    text-decoration: none;
    display: flex;
    align-items: center;
    gap: 12px;
}

.icon-credit a:hover {
    text-decoration: underline;
}

.icon-credit img {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    object-fit: cover;
}

/* Адаптивность */
@media (max-width: 768px) {
    .app-description {
        max-width: 800px;
        margin: 0 auto;
        font-size: 16px;
        line-height: 1.6;
        color: #333;
        text-align: center;
        margin-bottom: 30px;
    }

    .icon-credit {
        font-size: 14px;
    }

    .app-icon-small {
        width: 50px !important;
        height: 50px !important;
    }

    .icon-credit img {
        width: 50px;
        height: 50px;
    }
}

@media (max-width: 1024px) {
    .app-description {
        max-width: 800px;
        margin: 0 auto;
        font-size: 20px;
        line-height: 1.6;
        color: #333;
        text-align: center;
        margin-bottom: 30px;
    }
}

.app-icon-small {
    width: 70px !important;
    height: 70px !important;
    border-radius: 0;
}